Fleetdock
API referenceAgenttokensServersIdAgent tokenRotate

Rotate a server's agent token

Revokes the server's agent bearer token and returns a single-use, 24-hour registration token bound to this server, with its install command. Running that command on the server re-enrolls the same server with a fresh agent token. Requires server:write.

POST
/v1/servers/{id}/agent-token/rotate

Revokes the server's agent bearer token and returns a single-use, 24-hour registration token bound to this server, with its install command. Running that command on the server re-enrolls the same server with a fresh agent token. Requires server:write.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Response Body

curl -X POST "https://example.com/v1/servers/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent-token/rotate"
Empty